Utilizar SDKs de terceiros na sua app

Uma vez integrados na sua app, os SDKs de terceiros podem ter um impacto significativo na compatibilidade, no desempenho, na segurança e na qualidade da mesma.

Alterações relacionadas com os SDKs de terceiros

Para ajudar a garantir que qualquer software de terceiros utilizado pela sua app está em conformidade com as Políticas do Programa para programadores do Google Play e contribui de forma positiva para a experiência do utilizador, o Google Play vai começar a sinalizar problemas conhecidos com SDKs populares na Play Console.

Para saber qual o SDK que a sua app está a utilizar, utilizamos o ficheiro de dependências incluído na app. O ficheiro de dependências lista todas as bibliotecas com versão das quais a app depende. As apps que utilizam o Android App Bundle fornecem o ficheiro de dependências por predefinição. As apps criadas antes de agosto de 2021 que publiquem com APKs incluem o ficheiro de dependências a partir do plugin do Android para o Gradle 4.0.

Compreender os problemas com o SDK de terceiros da sua app

Se aplicável, os problemas com as versões do SDK utilizadas pela sua app são detalhados na Play Console na parte superior da página Produção ou na página Vista geral do lançamento.

Se a sua app estiver a utilizar uma versão do SDK que pode fazer com que a mesma não esteja em conformidade com as Políticas do Programa para programadores do Google Play, as novas versões da app que utilizem essa versão do SDK podem ser rejeitadas. Consoante o tipo de violação, receberá instruções para garantir que a sua utilização do SDK está em conformidade com as nossas Políticas de Dados do Utilizador, mudará para uma versão diferente recomendada pelo fornecedor do SDK ou removerá o SDK.

Se a sua app estiver a utilizar uma versão do SDK desatualizada ou com problemas críticos, receberá um aviso que pode requerer ações adicionais. Por exemplo, se o fornecedor de um SDK nos tiver informado de que a versão do SDK que a sua app está a utilizar está desatualizada, ainda pode lançar a sua app. Contudo, não poderá lançar outra versão da app com uma versão desatualizada do SDK. Terá de utilizar a versão do SDK atualizada. Se a sua app estiver a utilizar uma versão do SDK que o fornecedor do SDK comunicou como tendo problemas críticos, verá um aviso a descrever o tipo de problema, conforme detalhado pelo fornecedor do SDK.

Se tiver perguntas acerca de uma versão do SDK desatualizada ou com problemas críticos, recomendamos que contacte o fornecedor do SDK.

A informação foi útil?
Como podemos melhorá-la?

Precisa de mais ajuda?

Inicie sessão para obter opções de apoio técnico adicionais e resolver rapidamente o seu problema.

Pesquisa
Limpar pesquisa
Fechar pesquisa
Google Apps
Menu principal
Pesquisar no Centro de ajuda
true
92637
false